import { StoreBackend, PreparedStmt } from './store-interface.js';

declare class NodeStore implements StoreBackend {
    private db;
    constructor(dbPath: string);
    exec(sql: string): void;
    prepare(sql: string): PreparedStmt;
    pragma(pragma: string): void;
    inTransaction<T>(fn: () => T): T;
    close(): void;
}

export { NodeStore };
